package com.supervision.config;

import com.supervision.common.domain.R;
import com.supervision.common.enums.ResultStatusEnum;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.bind.annotation.ExceptionHandler;

/**
 * 统一返回
 *
 * @author wb
 * @date 2022/3/10 13:24
 */
@Slf4j
@Configuration
public class ExceptionResponseConfig {

    /**
     * 添加手动校验参数的异常处理
     * @param exception 参数验证异常
     * @return 通用返回值
     */
    @ExceptionHandler(IllegalArgumentException.class)
    public R<?> manualValidationExceptionResponse(IllegalArgumentException exception) {
        log.error("=========手动校验参数异常=========>>>");
        log.error(exception.getMessage(), exception);
        log.error("<<<=========手动校验参数异常=========");
        return R.fail(ResultStatusEnum.ILLEGAL_ARGUMENT,exception.getMessage());
    }


}
